package cd.casic.ci.process.api.process.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：PipelineUser
 * @Date：2025/03/24 16:51
 * @Filename：PipelineUser
 * @description：Todo
 */
@Data
@Schema(title = "流水线-用户信息")
public class PipelineUser {
    @Schema(title = "主键ID", required = true)
    private Long id;
    @Schema(title = "流水线ID", required = true)
    private String pipelineId;
    @Schema(title = "创建时间", required = true)
    private Long createTime;
    @Schema(title = "更新时间", required = true)
    private Long updateTime;
    @Schema(title = "创建人", required = true)
    private String creator;
    @Schema(title = "修改人", required = true)
    private String modifier;
}
