package cd.casic.ci.process.api.process.pojo.mq;

import cd.casic.ci.event.enums.ActionType;
import cd.casic.ci.event.pojo.pipeline.IPipelineEvent;
import org.apache.tomcat.util.net.DispatchType;

import java.util.Map;
import java.util.Set;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.process.api.process.pojo.mq
 * @Project：ops-pro
 * @name：PipelineAgentStartupDemoteEvent
 * @Date：2025/03/25 9:36
 * @Filename：PipelineAgentStartupDemoteEvent
 * @description：Todo
 */
public class PipelineAgentStartupDemoteEvent extends IPipelineEvent {
    private String source;
    private String projectId;
    private String pipelineId;
    private String pipelineName;
    private String userId;
    private String buildId;
    private int buildNo;
    private String vmSeqId;
    private String taskName;
    private String os;
    private String vmNames;
    private String channelCode;
    private DispatchType dispatchType;
    private String containerId;
    private String containerHashId;
    private Integer queueTimeoutMinutes;
    private Map<String, String> atoms = Map.of();
    private Integer executeCount;
    private Map<String, String> customBuildEnv;
    private String dockerRoutingType = "VM";
    private String routeKeySuffix;
    private String jobId;
    private Set<String> ignoreEnvAgentIds;
    private Integer singleNodeConcurrency;
    private Integer allNodeConcurrency;
    private Long dispatchQueueStartTimeMilliSecond;
    private ActionType actionType = ActionType.REFRESH;
    private int delayMills = 0;
}
