package cd.casic.pipeline.store.pojo.common.publication;

import cd.casic.pipeline.store.pojo.common.enums.StoreTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import static cd.casic.ci.common.pipeline.constant.CommonConstants.INIT_VERSION;

@Data
@Schema(title = "工作台-组件基础信息请求报文体")
public class StoreBaseCreateRequest {
    @Schema(title = "store组件代码", required = true)
    private String storeCode;
    
    @Schema(title = "store组件类型", required = true)
    private StoreTypeEnum storeType;
    
    @Schema(title = "store组件名称", required = true)
    private String name;
    
    @Schema(title = "版本号", required = true)
    private String version = INIT_VERSION;
}