package cd.casic.pipeline.store.pojo.common.sensitive;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "敏感API名称信息")
public class SensitiveApiNameInfo {
    @Schema(title = "敏感API名")
    private String apiName;
    
    @Schema(title = "敏感API别名,不同语言SDK中敏感API对应的方法名")
    private String aliasName;
}