package cd.casic.ci.common.pipeline.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.enums
 * @Project：ops-pro
 * @name：CodeTargetAction
 * @Date：2025/03/25 17:04
 * @Filename：CodeTargetAction
 * @description：Todo
 */
@Getter
@AllArgsConstructor
public enum CodeTargetAction {
    COMMIT_TO_MASTER("提交到主干"),
    CHECKOUT_BRANCH_AND_REQUEST_MERGE("新建分支创建MR"),
    COMMIT_TO_SOURCE_BRANCH("提交到原始版本分支"),
    COMMIT_TO_SOURCE_BRANCH_AND_REQUEST_MERGE("提交到原始版本分支创建MR"),
    COMMIT_TO_BRANCH("提交到指定分支");

    private final String desc;
}
