package cd.casic.pipeline.store.pojo.atom;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "插件开发语言相关的环境变量")
public class AtomDevLanguageEnvVar {
    @Schema(title = "环境变量key值", required = true)
    private String envKey;
    @Schema(title = "环境变量value值", required = true)
    private String envValue;
    @Schema(title = "开发语言", required = true)
    private String language;
    @Schema(title = "适用构建机类型", required = true)
    private String buildHostType;
    @Schema(title = "适用构建机操作系统", required = true)
    private String buildHostOs;
}