package cd.casic.pipeline.store.pojo.atom;

import cd.casic.pipeline.store.pojo.common.enums.ReleaseTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "插件发布请求报文")
public class AtomReleaseRequest {
    @Schema(title = "插件ID")
    private String atomId;
    @Schema(title = "插件代码")
    private String atomCode;
    @Schema(title = "插件版本号")
    private String version;
    @Schema(title = "插件状态")
    private Byte atomStatus;
    @Schema(title = "发布类型")
    private ReleaseTypeEnum releaseType;
    @Schema(title = "代码库哈希ID")
    private String repositoryHashId;
    @Schema(title = "代码库分支")
    private String branch;
    @Schema(title = "发布人")
    private String publisher;
}